Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to authenticate itself with the API using a Quick-Login performed in the current HTTP session. This method is an alternative to the Login and WWW Login resources. Note: To be able to access the current session, cookies must be enabled. Note 2: It is assumed the Agent API account resides on the same broker. The Agent API is an HTTP REST API for using an XMPP account on an XMPP broker. Once you have made a Quick-Login in a broker, you can use the Remote quick login resource to perform session logins on other brokers using the Quick-Login on the current broker. If authentication succeeds, a JSON Web Token (or JWT) is returned to the client. This token can be used as a Bearer token in subsequent calls to the API. It needs to be refreshed before it expires.

HTTP request

POST /Agent/Account/QuickLogin

Authentication

No authentication required.

Request (JSON)

{
	"seconds": Required(Int(0 < PSeconds <= 3600))
}

Input parameters

ParameterDescription
PSecondsRequested number of seconds before the JWT token that will be issued expires.

Response (JSON)

{
	"jwt": Required(Str(PJwt)),
	"userName": Required(Str(PUserName)),
	"expires": Required(DateTime(PExpires))
}

Response parameters

ParameterDescription
PJwtA token representing the login to the account. This token is sent as a Bearer token in requests requiring authentication.
PUserNameThe user name of the account used for the Quick-Login.
PExpiresWhen the JWT token expires. The token needs to be renewed before this token expires, if the client wishes to maintain the connection. After the token expires, the client needs to log in again.

Notes

This endpoint uses the request schema notation described in Pattern matching.